mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
import.c File Reference
`#include <string.h>`
`#include <gtk/gtk.h>`
`#include <glib/gi18n.h>`
`#include "player_tab.h"`
`#include "main_win.h"`
`#include "freedb_tab.h"`
`#include "import.h"`
`#include "options_manager.h"`
`#include "mp3splt-gtk.h"`
`#include "utilities.h"`
`#include "ui_manager.h"`
`#include "widgets_helper.h"`
Include dependency graph for import.c:

Go to the source code of this file.

## Functions

void | handle_import (gchar *filename)
void | import_event (GtkWidget *widget, gpointer *data)

## Variables

splt_state * | the_state
ui_state * | ui

## Detailed Description

The magic behind the splitpoint input

All functions that are needed in order to read in cddb, cue or similar files.

Definition in file import.c.

## Function Documentation

void handle_import | ( | gchar * | filename | ) |

Handles the import of an input file (audio or splitpoint)

The file type is determined by the extension of the file.

Definition at line 104 of file import.c.

References remove_status_message(), and update_output_options().

Referenced by import_event(), and main().

Here is the call graph for this function:

Here is the caller graph for this function:

void import_event | ( | GtkWidget * | widget,
|  | gpointer * | data
| ) |  |

What happens if the "Import" button is pressed.

Definition at line 68 of file import.c.

References handle_import(), and remove_status_message().

Referenced by create_menu_bar().

Here is the call graph for this function:

Here is the caller graph for this function:

## Variable Documentation

ui_state* ui

move all options inside

Definition at line 144 of file mp3splt-gtk.c.